// pdfviewerDlg.h : header file
//
//{{AFX_INCLUDES()
#include "pdfview.h"
//}}AFX_INCLUDES

#if !defined(AFX_PDFVIEWERDLG_H__B57D56BC_3CE3_4566_8814_558DFCCED516__INCLUDED_)
#define AFX_PDFVIEWERDLG_H__B57D56BC_3CE3_4566_8814_558DFCCED516__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "cdxCSizingDialog.h"

#define IDMSG_GET_LAUNCH_URL		(WM_USER+8895)
#define IDMSG_PAGE_CHANGED			(WM_USER+8896)
/////////////////////////////////////////////////////////////////////////////
// CPdfviewerDlg dialog

class CPdfviewerDlg : public cdxCSizingDialog
{
// Construction
public:
	CPdfviewerDlg(CWnd* pParent = NULL);	// standard constructor

	void InsertString(CString strMsg);
	int nViewMode;
// Dialog Data
	//{{AFX_DATA(CPdfviewerDlg)
	enum { IDD = IDD_PDFVIEWER_DIALOG };
	CListBox	m_ctrlInfo;
	CPdfview	m_wndPDFViewer;
	CString	m_strText;
	UINT	m_nGotoPage;
	float	m_fZoom;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPdfviewerDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPdfviewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonActualsize();
	afx_msg void OnButtonNextpage();
	afx_msg void OnButtonPreviouspage();
	afx_msg void OnButtonFitpage();
	afx_msg void OnButtonFitwidth();
	afx_msg void OnButtonViewMode();
	afx_msg void OnButtonRotateleft();
	afx_msg void OnButtonRotateright();
	afx_msg void OnButtonSearch();
	afx_msg void OnButtonSearchNext();
	afx_msg void OnButtonSearchPrevious();
	afx_msg void OnButtonZoomin();
	afx_msg void OnButtonZoomout();
	afx_msg void OnButtonGotopage();
	afx_msg void OnButtonGetpageinfo();
	afx_msg void OnButtonZoom();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButtonScroolbar();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PDFVIEWERDLG_H__B57D56BC_3CE3_4566_8814_558DFCCED516__INCLUDED_)
